| Wheelchair Control Diploma Thesis, Author: Ondrej Vozda, FEEC BUT, 2013

- Main Page
- Packages
- Classes
- Files

- Class List
- Class Index
- Class Members

All Classes Namespaces Functions Variables Enumerations Enumerator Properties Events Pages
Public Member Functions | Properties | List of all members
System.Drawing.Extended.ExtendedGraphics Class Reference

Inherited child for the class Graphics encapsulating additional functionality for curves and rounded rectangles. More...

## Public Member Functions
| ExtendedGraphics (Graphics graphics)
| Constructor. More...
void | FillRoundRectangle (System.Drawing.Brush brush, int x, int y, int width, int height, int radius)
| Misc method to draw collapsible groupbox's area. More...
void | FillRoundRectangle (System.Drawing.Brush brush, float x, float y, float width, float height, float radius)
| Misc method to draw collapsible groupbox's area. More...
void | DrawRoundRectangle (System.Drawing.Pen pen, int x, int y, int width, int height, int radius)
| Misc method to draw collapsible groupbox's area. More...
void | DrawRoundRectangle (System.Drawing.Pen pen, float x, float y, float width, float height, float radius)
| Misc method to draw collapsible groupbox's area. More...

## Properties
Graphics | Graphics`[get, set]`
| Graphics property getter / setter. More...

## Detailed Description

Inherited child for the class Graphics encapsulating additional functionality for curves and rounded rectangles.

Definition at line 258 of file CollapsibleGroupbox.cs.

## Constructor & Destructor Documentation

System.Drawing.Extended.ExtendedGraphics.ExtendedGraphics | ( | Graphics | graphics | ) |

Constructor.

Parameters

  graphics |

Definition at line 276 of file CollapsibleGroupbox.cs.

## Member Function Documentation

void System.Drawing.Extended.ExtendedGraphics.DrawRoundRectangle | ( | System.Drawing.Pen | pen,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | int | radius
| ) |  |

Misc method to draw collapsible groupbox's area.

Parameters

  pen | Pen.
  x | X coordinate.
  y | Y coordinate.
  width | Rectangle width.
  height | Rectangle height.
  radius | Corners' radius.

Definition at line 341 of file CollapsibleGroupbox.cs.

void System.Drawing.Extended.ExtendedGraphics.DrawRoundRectangle | ( | System.Drawing.Pen | pen,
|  | float | x,
|  | float | y,
|  | float | width,
|  | float | height,
|  | float | radius
| ) |  |

Misc method to draw collapsible groupbox's area.

Parameters

  pen | Pen.
  x | X coordinate.
  y | Y coordinate.
  width | Rectangle width.
  height | Rectangle height.
  radius | Corners' radius.

Definition at line 364 of file CollapsibleGroupbox.cs.

void System.Drawing.Extended.ExtendedGraphics.FillRoundRectangle | ( | System.Drawing.Brush | brush,
|  | int | x,
|  | int | y,
|  | int | width,
|  | int | height,
|  | int | radius
| ) |  |

Misc method to draw collapsible groupbox's area.

Parameters

  brush | Brush.
  x | X coordinate.
  y | Y coordinate.
  width | Rectangle width.
  height | Rectangle height.
  radius | Corners' radius.

Definition at line 293 of file CollapsibleGroupbox.cs.

void System.Drawing.Extended.ExtendedGraphics.FillRoundRectangle | ( | System.Drawing.Brush | brush,
|  | float | x,
|  | float | y,
|  | float | width,
|  | float | height,
|  | float | radius
| ) |  |

Misc method to draw collapsible groupbox's area.

Parameters

  brush | Brush.
  x | X coordinate.
  y | Y coordinate.
  width | Rectangle width.
  height | Rectangle height.
  radius | Corners' radius.

Definition at line 320 of file CollapsibleGroupbox.cs.

## Property Documentation

Graphics System.Drawing.Extended.ExtendedGraphics.Graphics
| get set

Graphics property getter / setter.

Definition at line 267 of file CollapsibleGroupbox.cs.

The documentation for this class was generated from the following file:

- C:/Users/Ondra/Desktop/Wheelchair Control/CollapsibleGroupbox.cs